#header.small .menu-button-wrapper::before {
  background-color: var(--color-primary);
  box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0.3);
  transition: background-color 0.3s ease, box-shadow 0.3s ease;
}
#header.small .menu-button-wrapper #menu-icon .line {
  background-color: var(--color-primary);
}
#header.small .menu-button-wrapper #menu-icon::before {
  opacity: 1;
}
#header.small .menu-button-wrapper .menu-link {
  max-width: 350px;
  transition: max-width 0.3s ease;
}
html.menu-open #header .menu-button-wrapper::before {
  opacity: 0;
}
html.menu-open #header .menu-button-wrapper .menu-link {
  opacity: 0;
  pointer-events: none;
  max-width: 0;
}
html.menu-open #header .menu-button-wrapper #menu-icon .line {
  background-color: var(--color-primary);
}
html.menu-open #header .menu-button-wrapper #menu-icon:hover .line {
  background-color: var(--color-default);
}
html.menu-open #header .menu-button-wrapper #menu-icon::before {
  opacity: 0;
}
.menu-button-wrapper {
  display: flex;
  align-items: center;
  position: relative;
  z-index: 1019;
  pointer-events: all;
}
.menu-button-wrapper::before {
  content: '';
  border-radius: 50px;
  position: absolute;
  z-index: 1;
  background-color: transparent;
  top: -15px;
  right: -15px;
  width: calc(100% + 30px);
  height: calc(100% + 30px);
  box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0);
}
.menu-button-wrapper .menu-link {
  width: auto;
  max-width: 0;
  display: block;
  overflow: hidden;
  transition: max-width 0.15s ease, color 0.3s ease;
  font-weight: 700;
  color: #ffffff;
  margin-right: 25px;
  position: relative;
  z-index: 10;
  font-size: var(--font-size-small);
  line-height: var(--line-height-small);
  margin-top: -4px;
}
#menu-icon {
  display: block;
  width: 28px;
  position: relative;
  height: 26px;
  z-index: 1019;
  cursor: pointer;
  text-align: center;
  pointer-events: all;
  transition: background-color 0.3s ease;
}
#menu-icon::before {
  content: '';
  width: 50px;
  height: 50px;
  background-color: var(--color-white);
  position: absolute;
  top: calc(50% - 25px);
  left: calc(50% - 25px);
  z-index: 1;
  opacity: 0;
  border-radius: 50%;
}
#menu-icon .line {
  background-color: var(--color-primary);
  height: 6px;
  width: 28px;
  position: absolute;
  top: calc(50% - 3px);
  border-radius: 0px;
  left: 0px;
  transition: background-color 0.3s ease, opacity 0s, transform 0.3s ease;
  z-index: 10;
}
#menu-icon .line.second {
  top: 0;
}
#menu-icon .line.third {
  bottom: 0;
  top: auto;
}
#menu-icon.color .line {
  background-color: var(--color-default);
}
#menu-icon.color.is-active .line {
  background-color: var(--color-primary);
}
#menu-icon.is-active .line {
  top: calc(50% - 3px);
  transform: rotate(45deg);
}
#menu-icon.is-active .line.third {
  transform: rotate(-45deg);
}
#menu-icon.is-active .line.second {
  opacity: 0;
}
#navigation {
  position: fixed;
  left: 100%;
  top: 0;
  height: 100%;
  width: 100%;
  transition: transform 0.5s ease;
  z-index: 999;
  background-color: var(--color-default);
  pointer-events: all;
}
#navigation .table {
  height: 100%;
  width: 100%;
  overflow-y: scroll;
}
#navigation .table .table-cell {
  min-height: 100%;
  width: 100%;
  padding: 100px 7vw;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
#navigation .table .table-cell > .menu ul.menu {
  margin: 0 !important;
  padding: 0 !important;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 15px;
}
#navigation .table .table-cell > .menu ul.menu li {
  list-style: none !important;
  float: left;
  margin: 0;
  padding: 0;
  display: block;
  opacity: 0;
  transform: translateX(-30px);
  transition: opacity 0s, transform 0s;
}
#navigation .table .table-cell > .menu ul.menu li a {
  font-size: var(--font-size-h1);
  line-height: var(--line-height-h1);
  color: var(--color-white);
  font-weight: 700;
  position: relative;
  display: block;
  text-transform: uppercase;
  background: none;
}
#navigation .table .table-cell > .menu ul.menu li a.is-active {
  color: var(--color-primary);
}
html.menu-open #header > .section #navigation {
  transform: translateX(-100%);
}
html.menu-open #header > .section #navigation .table .table-cell > .menu li {
  opacity: 1;
  transform: translateX(0);
  transition: opacity 0.3s ease 0.3s, transform 0.3s ease 0.3s;
}
html.menu-open #header > .section #navigation .table .table-cell > .menu li:nth-of-type(2) {
  transition: opacity 0.3s ease 0.4s, transform 0.3s ease 0.4s;
}
html.menu-open #header > .section #navigation .table .table-cell > .menu li:nth-of-type(3) {
  transition: opacity 0.3s ease 0.5s, transform 0.3s ease 0.5s;
}
html.menu-open #header > .section #navigation .table .table-cell > .menu li:nth-of-type(4) {
  transition: opacity 0.3s ease 0.6s, transform 0.3s ease 0.6s;
}
html.menu-open #header > .section #navigation .table .table-cell > .menu li:nth-of-type(5) {
  transition: opacity 0.3s ease 0.7s, transform 0.3s ease 0.7s;
}
html.menu-open #header > .section #navigation .table .table-cell > .menu li:nth-of-type(6) {
  transition: opacity 0.3s ease 0.8s, transform 0.3s ease 0.8s;
}
/* >= 768px */
/* >= 1024px */
@media screen and (min-width: 1024px) {
  .menu-button-wrapper .menu-link {
    font-size: var(--font-size-default);
    line-height: var(--line-height-default);
  }
  #navigation .table .table-cell {
    padding: var(--space-xxl) var(--section-x);
    display: grid;
  }
  #navigation .table .table-cell > .menu {
    align-self: center;
  }
  #navigation .table .table-cell > .menu ul.menu li a {
    font-size: var(--font-size-h2);
    line-height: var(--line-height-h2);
  }
}
/* >= 1248px */
/* >= 1440px */
/* >= 1600px */
/* >= 1920px */
@media (hover: hover) {
  html.menu-open #menu-icon:hover .line {
    background-color: var(--color-white) !important;
  }
  html.menu-open #header.color #menu-icon .line {
    background-color: var(--color-primary);
  }
  #header.hover #menu-icon:hover .line {
    background-color: var(--color-white);
  }
  #header.color #menu-icon:hover .line {
    background-color: var(--color-default);
  }
  #header.override #menu-icon:hover .line {
    background-color: var(--color-default);
  }
  #header.small #menu-icon:hover .line {
    background-color: var(--color-default);
  }
  #menu-icon:hover .line {
    background-color: var(--color-default);
  }
  .menu-button-wrapper .menu-link:hover {
    color: var(--color-default);
  }
  #navigation .table .table-cell > .menu ul.menu li a:hover {
    color: var(--color-primary);
  }
}
